Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg.font
Class FOPGVTFontFamily

    java.lang.Object
      org.apache.fop.svg.font.FOPGVTFontFamily

All Implemented Interfaces:
  org.apache.batik.gvt.font.GVTFontFamily

    public class FOPGVTFontFamily

extends java.lang.Object
implements org.apache.batik.gvt.font.GVTFontFamily

Constructor Summary
`FOPGVTFontFamily(FontInfo fontInfo, java.lang.String familyName, FontTriplet triplet, org.apache.batik.gvt.font.GVTFontFace fontFace)`

Method Summary
`FOPGVTFont` | `deriveFont(float size, java.text.AttributedCharacterIterator aci)`
`FOPGVTFont` | `deriveFont(float size, java.util.Map attrs)`
`java.lang.String` | `getFamilyName()`
`org.apache.batik.gvt.font.GVTFontFace` | `getFontFace()`
`FontInfo` | `getFontInfo()`
`java.lang.String` | `getFontKey()`
`FontTriplet` | `getFontTriplet()`
`boolean` | `isComplex()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FOPGVTFontFamily

    public FOPGVTFontFamily(FontInfo fontInfo,
                            java.lang.String familyName,
                            FontTriplet triplet,
                            org.apache.batik.gvt.font.GVTFontFace fontFace)

Method Detail

### getFontInfo

    public FontInfo getFontInfo()

### getFontTriplet

    public FontTriplet getFontTriplet()

### getFontKey

    public java.lang.String getFontKey()

### getFamilyName

    public java.lang.String getFamilyName()

  Specified by:
    `getFamilyName` in interface `org.apache.batik.gvt.font.GVTFontFamily`

### getFontFace

    public org.apache.batik.gvt.font.GVTFontFace getFontFace()

  Specified by:
    `getFontFace` in interface `org.apache.batik.gvt.font.GVTFontFamily`

### deriveFont

    public FOPGVTFont deriveFont(float size,
                                 java.text.AttributedCharacterIterator aci)

  Specified by:
    `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

### deriveFont

    public FOPGVTFont deriveFont(float size,
                                 java.util.Map attrs)

  Specified by:
    `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

### isComplex

    public boolean isComplex()

  Specified by:
    `isComplex` in interface `org.apache.batik.gvt.font.GVTFontFamily`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.